Page MenuHomePhabricator

[clangd] Get rid of QueryScopes.empty() == AnyScope special case.
ClosedPublic

Authored by ioeric on Oct 31 2018, 7:23 AM.

Diff Detail

Event Timeline

ioeric created this revision.Oct 31 2018, 7:23 AM
sammccall accepted this revision.Oct 31 2018, 4:45 PM

Yay, thanks!

clangd/index/Index.h
462–463

(while here - is this fixme also addressed?)

This revision is now accepted and ready to land.Oct 31 2018, 4:45 PM
ioeric updated this revision to Diff 172591.Nov 5 2018, 7:56 AM
ioeric marked an inline comment as done.
  • Remove addressed FIXME.
ioeric updated this revision to Diff 172735.Nov 6 2018, 3:08 AM
  • rebase
This revision was automatically updated to reflect the committed changes.